<template>
    <div id="DeleteMovie" class="component">
        <h1>Supprimer Film Préféré :</h1>
        <select class="form-control" name="user" v-model="user" v-on:change="updateSelectedId(user.id)">
            <option v-for="user in users"
                    v-bind:value="user">
                {{ user.pseudo }}
            </option>
        </select>

        <div v-if="visible">
            <select class="form-control" name="movie" v-model="movie">
                <option v-for="movie in movies"
                        v-bind:value="movie">
                    {{ movie.name }}
                </option>
            </select>
            <input type="submit" value="Delete" v-on:click="deleteMovie" />
        </div>
        <pre><code>{{ response }}</code></pre>
    </div>
</template>

<script>
    import axios from 'axios';

    export default {
        name: 'DeleteMovie',
        data () {
            return {
                users: '',
                user: '',
                selectedId: 0,
                response: '',
                visible: 0,
                movie: '',
                movies: ''
            }
        },
        created() {
            this.getAllUsers()
        },
        methods: {
            getAllUsers: function() {
                axios
                    .get('http://127.0.0.1:8000/api/users')
                    .then(response => (this.users = response.data.data),
                         (error) => (this.users = error.response.data))
            },
            deleteMovie: function() {
                axios
                    .delete('http://127.0.0.1:8000/api/users/'+this.selectedId+'/'+this.movie.name)
                    .then(response => (this.response = response.data),
                        (error) => (this.response = error.response.data));
                // Si on veut voir le résultat échanger les lignes commentées ci-dessous, seul ce composant sera mit à jour
                // this.getAllUsers();
                // this.visible = 0;
                location.reload();
            },
            updateSelectedId: function (id) {
                this.selectedId = id;
                axios
                    .get('http://127.0.0.1:8000/api/users/'+this.selectedId)
                    .then(response => (this.movies = response.data.data),
                        (error) => (this.movies = error.response.data));
                this.visible = 1;
            }
        }
    }
</script>